package eu.hsrw.tr.prog.vl.arrays;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

import eu.hsrw.tr.prog.weitere.fileio.TextFile;

public class Run17 {

	public static void main(String[] args) throws FileNotFoundException {
		File f = new File("src/eu/hsrw/tr/prog/arrays/sudoku17.txt");
		
		TextFile.clearRAFile("src/eu/hsrw/tr/prog/arrays/sudoku17r.txt");

		Scanner input = new Scanner(f);
		
		int i = 0;

		while (input.hasNextLine()) {
			i++;
			SudokuHelper.loopCount = 0;
			
			String sudoku = input.nextLine();
			int[][] a = SudokuHelper.parseSudokuString(sudoku);
			
			long start = System.currentTimeMillis();
			SudokuSolverLogic.solve(a);
			String info = SudokuSolverBF.solve(a);
			long t = System.currentTimeMillis() - start;
			
			String output = i + ";" + t + ";" + info;
			
			System.out.println(i + ": t: " + t + " Info: " + info);
			TextFile.appendRAFile("src/eu/hsrw/tr/prog/arrays/sudoku17r.txt", output + "\n");
		}
		
		input.close();
	}

}
